<div class="container">

    <div class="row m-t-30">
        <div class="col-md-12">
            <h3>Material Tickets</h3>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12 m-b-10 text-right">
            <button class="btn btn-dark" routerLink="/material-ticket/create">Create Ticket</button>
        </div>

    </div>

    <div class="row">
        <div class="col-md-12">

            <mat-card>

                <table mat-table [dataSource]="data">

                    <ng-container matColumnDef="ticketId">
                        <th mat-header-cell *matHeaderCellDef> Ticket Id </th>
                        <td mat-cell *matCellDef="let element"> {{element.ticketId}} </td>
                    </ng-container>
                    <ng-container matColumnDef="operator">
                        <th mat-header-cell *matHeaderCellDef> Operator </th>
                        <td mat-cell *matCellDef="let element"> {{element.operator}} </td>
                    </ng-container>
                    <ng-container matColumnDef="supervisor">
                        <th mat-header-cell *matHeaderCellDef> Supervisor </th>
                        <td mat-cell *matCellDef="let element"> {{element.supervisor}} </td>
                    </ng-container>
                    <ng-container matColumnDef="date">
                        <th mat-header-cell *matHeaderCellDef> Date </th>
                        <td mat-cell *matCellDef="let element"> {{element.date | date}} </td>
                    </ng-container>
                    <ng-container matColumnDef="truckNumber">
                        <th mat-header-cell *matHeaderCellDef> Truck Number </th>
                        <td mat-cell *matCellDef="let element"> {{element.truckNumber}} </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="redirectToMange(row)"></tr>

                </table>

                <div class="m-t-20">
                    <mat-paginator length="data.length" pageSize="5" [pageSizeOptions]="[5, 10, 20]"></mat-paginator>
                </div>
            </mat-card>
        </div>

    </div>
</div>